/**
* js-highlight-match-words v7.0.10 by sunsilent
* @license MIT
**/
"use strict";
var __webpack_require__ = {};
(()=>{
    __webpack_require__.d = function(exports1, definition) {
        for(var key in definition)if (__webpack_require__.o(definition, key) && !__webpack_require__.o(exports1, key)) Object.defineProperty(exports1, key, {
            enumerable: true,
            get: definition[key]
        });
    };
})();
(()=>{
    __webpack_require__.o = function(obj, prop) {
        return Object.prototype.hasOwnProperty.call(obj, prop);
    };
})();
(()=>{
    __webpack_require__.r = function(exports1) {
        if ('undefined' != typeof Symbol && Symbol.toStringTag) Object.defineProperty(exports1, Symbol.toStringTag, {
            value: 'Module'
        });
        Object.defineProperty(exports1, '__esModule', {
            value: true
        });
    };
})();
var __webpack_exports__ = {};
__webpack_require__.r(__webpack_exports__);
__webpack_require__.d(__webpack_exports__, {
    createHtml: ()=>createHtml,
    generate: ()=>generate,
    highlight: ()=>highlight
});
const external_js_match_words_namespaceObject = require("js-match-words");
function generate(matchResult, config) {
    const { values } = matchResult;
    let res = '';
    values.forEach((val)=>{
        res += createHtml(val, config);
    });
    return res;
}
function createHtml(val, config) {
    const options = config[val.value];
    const { activeClassName, activeStyle, activeIndex, className, highlightClassName, highlightStyle, highlightTag } = options || {};
    const cls = `${className || ''} ${highlightClassName || ''} ${val.index === activeIndex ? activeClassName || '' : ''}`;
    const style = `${highlightStyle || ''} ${val.index === activeIndex ? activeStyle || '' : ''}`;
    if (!highlightTag) return val.value;
    return `<${highlightTag} class="${cls}" style="${style}">${val.value}</${highlightTag}>`;
}
function highlight(options) {
    const { source, searchWords, config } = options;
    return generate((0, external_js_match_words_namespaceObject.matchWords)({
        source,
        searchWords
    }), config);
}
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
